bitel.billing.common

## Class TimeUtils

- java.lang.Object
- - ru.bitel.common.TimeUtils
  - - bitel.billing.common.TimeUtils

- Deprecated.

      @Deprecated
      public class TimeUtils
      extends TimeUtils

  Ипользовать `TimeUtils`

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.TimeUtils

      `DATE_FORMAT_PATTERN_DDMMYYYY, DATE_FORMAT_PATTERN_DDMMYYYY_HHMM, DATE_FORMAT_PATTERN_DDMMYYYY_HHMMSS, DATE_FORMAT_PATTERN_YYYY_MM_DD, DATE_FORMAT_PATTERN_YYYY_MM_DD_HHMMSS, monthNames, monthNamesRod, weekDayName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeUtils()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.common.TimeUtils

      `checkDateIntervalsIntersection, checkMasks, checkMasks, checkMonthAndYearDates, clear_HOUR_MIN_MIL_SEC, clear_HOUR_MIN_MIL_SEC, clear_MILLISECOND, clear_MIN_MIL_SEC, clear_MIN_MIL_SEC, clearCalendarHour, clearToBeginDay, compare, convertCalendarToDate, convertCalendarToDateString, convertCalendarToDateTimeString, convertCalendarToSqlDate, convertCalendarToTimestamp, convertDateToCalendar, convertDateToLocalDate, convertDateToLocalDateTime, convertDateToMillisFrom, convertDateToMillisTo, convertDateToSqlDate, convertDateToTimestamp, convertDateToTimestampSeconds, convertFullStringToCalendar, convertLocalDateTimeToCalendar, convertLocalDateTimeToDate, convertLocalDateTimeToTimestamp, convertLocalDateToDate, convertLocalDateToSqlDate, convertLocalDateToTimestamp, convertLongToTimestamp, convertLongToTimestamp, convertMillisToCalendar, convertMillisToDate, convertSecEpochToLocalDateTime, convertSQLDate, convertSqlDateToCalendar, convertSqlDateToDate, convertStringToCalendar, convertStringToCalendar, convertStringToDate, convertStringToDate, convertTimestampToCalendar, convertTimestampToDate, convertTimestampToLocalDateTime, dateBefore, dateBefore, dateBeforeOrEq, dateBeforeOrEq, dateEqual, dateEqual, dateHourEqual, dateInPeriod, dateInPeriod, dateInPeriod, dateInRange, dateInRange, dateInRangeWithTime, daysDelta, daysDelta, floor, format, format, format, format, format, format, format, formatCount, formatDate, formatDate, formatDeltaTime, formatFullDate, formatPeriod, formatPeriod, formatPeriod, formatPeriodWithTime, formatPeriodWithTime, formatSecondsToDayHourMinute, formatSQLDate, formatSQLDate, formatTimestamp, getDateFormat, getDateFormat, getDateTimeFormatter, getDayOfMonthMask, getDayOfWeekMask, getEndDay, getEndDay, getEndMonth, getEndMonth, getHourOfDayMask, getMinuteMask, getMonthOfYearMask, getNextDay, getNextDay, getNextMonth, getNextMonth, getPart, getPart, getPrevDay, getPrevDay, getStartMonth, getStartMonth, hourDelta, hourToMillis, monthsDelta, monthsDelta, moveToEndDay, moveToEndDay, moveToEndOfMonth, moveToStartNextDay, nowPlusPeriod, parseCalendar, parseCalendar, parseDate, parseDate, parseDate, parseLocalDate, parseLocalDateTime, periodInRange, periodInRange, plusPeriod, plusPeriod, rountToSeconds, subtractHoursFromNow, timeInRange`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeUtils

          public TimeUtils()

      Deprecated.